Subject: Re: bug#496: Has speech-dispatcher been forked?

From: Mark Hindley <[email-masked]>
Date: Tue, 4 May 2021 02:18:13 +0100

I am away with very limited internet access. Sorry to be late 
commenting.

On Mon, May 03, 2021 at 04:05:53PM -0700, Gregory Nowak wrote:
> I always was, since a couple of devuan developers suggested this is
> the way forward. I've been thinking this through over the weekend. If
> the answer to changing pulseaudio configuration is an override package
> instead of forking pulseaudio from debian, then it makes sense to
> override speech-dispatcher configuration instead of forking it from
> debian. So, something like a debian-speech-dispatcher-config-override
> package which would make the necessary changes to
> /etc/speech-dispatcher/speechd.conf, and which would remove
> debian-pulseaudio-config-override if it is already installed. If this
> seems acceptable, I would have to read up on how to package for
> devuan, and look at how we can integrate this into a freshly installed
> system if an accessible install is being done. A comaintainer on this
> would still be welcome.

Please note that the pulseaudio override is *not* present or required in 
chimaera: the issue it addresses in buster/beowulf has been resolved in 
bullseye.

When I am back, I will be happy to add a speechd.conf override package. 
That is precisely the idea behind the config override packages: to solve 
issues inherited from Debian without the overhead of maintaining forks of
entire packages.

Mark